Skip to main content
GET
/
v1
/
runtime
/
ledger
Get runtime ledger balances
curl --request GET \
  --url https://api.firmament.shaikazeem.com/v1/runtime/ledger
const options = {method: 'GET'};

fetch('https://api.firmament.shaikazeem.com/v1/runtime/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "healthy": true,
  "entry_count": 1,
  "balances": [
    {
      "asset": "USDC",
      "balance_raw": "1000000",
      "decimals": 6,
      "display_amount": "1.000000",
      "qualifier": "<string>"
    }
  ]
}
{
"error": {
"code": "invalid_json",
"message": "<string>",
"details": [
"<string>"
]
}
}
{
"error": {
"code": "invalid_json",
"message": "<string>",
"details": [
"<string>"
]
}
}

Query Parameters

account_type
enum<string>

Optional ledger account type filter.

Available options:
working_custody,
reserved,
pending_dex_spend,
receivable,
htlc_escrow,
pending_escrow,
gateway,
gateway_reserved,
pending_gateway_deposit,
rebalance,
fees,
trading,
external

Response

Ledger snapshot.

healthy
boolean
required

True when ledger integrity passes and protected accounts are not negative.

entry_count
integer
required

Total ledger entry count across the whole ledger.

Required range: x >= 0
balances
object[]
required